2020-07-13 03:02 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002743Buildsystem[All Projects] Generalpublic2020-05-12 10:00
Reporterbiopsin 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformx86_64 - GTK2OSVoid Linux glibc-2.30OS VersionLinux 5.4.27_1
Summary0002743: Build fails on TARGET=gtk2 in content/handlers/html/html.c
DescriptionBuild fails from current master if TARGET changed from gtk3 to gtk2.
Regarding commit 7e6723e27a5bc61d6be9401cd41b644c97bae1e6
Attached full do_build.log.

Hope gtk2 still will be supported, if not sorry for the fuzz.
Steps To Reproduce# GCC 9.3.0
export TARGET=gtk2 -> make
Additional Information..snip from do_build.log

 COMPILE: content/handlers/html/html.c
content/handlers/html/html.c: In function 'fire_dom_keyboard_event':
content/handlers/html/html.c:180:8: warning: implicit declaration of function 'dom_keyboard_event_create'; did you mean 'dom_keyboard_event_init'? [-Wimplicit-function-declaration]
  180 | exc = dom_keyboard_event_create(&evt);
      | ^~~~~~~~~~~~~~~~~~~~~~~~~
      | dom_keyboard_event_init
content/handlers/html/html.c:180:8: warning: nested extern declaration of 'dom_keyboard_event_create' [-Wnested-externs]
content/handlers/html/html.c:188:37: error: macro "dom_keyboard_event_init" passed 14 arguments, but takes just 8
  188 | false, false, false, false, false);
      | ^
In file included from /usr/include/dom/events/events.h:15,
                 from /usr/include/dom/dom.h:100,
                 from ./utils/libdom.h:30,
                 from content/handlers/html/html.c:36:
/usr/include/dom/events/keyboard_event.h:70: note: macro "dom_keyboard_event_init" defined here
   70 | #define dom_keyboard_event_init(e, t, b, c, v, ki, kl, m) \
      |
content/handlers/html/html.c:186:8: error: 'dom_keyboard_event_init' undeclared (first use in this function); did you mean '_dom_keyboard_event_init'?
  186 | exc = dom_keyboard_event_init(evt, type, bubbles, cancelable, NULL,
      | ^~~~~~~~~~~~~~~~~~~~~~~
      | _dom_keyboard_event_init
content/handlers/html/html.c:186:8: note: each undeclared identifier is reported only once for each function it appears in
make: *** [Makefile:857: build/Linux-gtk2/content_handlers_html_html.o] Error 1
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002189

Vincent Sanders (administrator)

this has been resolved

$ make TARGET=gtk2
M.CONFIG: JPEG (libjpeg) enabled (NETSURF_USE_JPEG := YES)
M.CONFIG: PDF export (haru) disabled (NETSURF_USE_HARU_PDF := NO)
M.CONFIG: glibc internal iconv enabled (NETSURF_USE_LIBICONV_PLUG := YES)
M.CONFIG: Javascript (Duktape) enabled (NETSURF_USE_DUKTAPE := YES)
PKG.CNFG: CSS (libcss) enabled
PKG.CNFG: DOM (libdom) enabled
PKG.CNFG: nsutils (libnsutils) enabled
M.CONFIG: Curl (libcurl) enabled (NETSURF_USE_CURL := YES)
M.CONFIG: OpenSSL (openssl) auto-enabled (NETSURF_USE_OPENSSL := AUTO)
M.CONFIG: utf8 (libutf8proc) enabled (NETSURF_USE_UTF8PROC := YES)
M.CONFIG: WEBP (libwebp) auto-disabled (NETSURF_USE_WEBP := AUTO)
M.CONFIG: PNG (libpng) auto-enabled (NETSURF_USE_PNG := AUTO)
M.CONFIG: BMP (libnsbmp) auto-enabled (NETSURF_USE_BMP := AUTO)
M.CONFIG: GIF (libnsgif) auto-enabled (NETSURF_USE_GIF := AUTO)
M.CONFIG: SVG (libsvgtiny) auto-enabled (NETSURF_USE_NSSVG := AUTO)
M.CONFIG: Sprite (librosprite) auto-enabled (NETSURF_USE_ROSPRITE := AUTO)
M.CONFIG: PSL (libnspsl) auto-enabled (NETSURF_USE_NSPSL := AUTO)
M.CONFIG: LOG (libnslog) auto-enabled (NETSURF_USE_NSLOG := AUTO)
M.CONFIG: SVG (librsvg-2.0) auto-enabled (NETSURF_USE_RSVG := AUTO)
M.CONFIG: Video (gstreamer-0.10) disabled (NETSURF_USE_VIDEO := NO)
PKG.CNFG: GTK-2 (gtk+-2.0) enabled
PKG.CNFG: GThread2 (gthread-2.0) enabled
PKG.CNFG: GModule2 (gmodule-2.0) enabled
PKG.CNFG: Check (check) enabled
 GENBIND: content/handlers/javascript/duktape/netsurf.bnd
M.CONFIG: JPEG (libjpeg) enabled (NETSURF_USE_JPEG := YES)
M.CONFIG: PDF export (haru) disabled (NETSURF_USE_HARU_PDF := NO)
M.CONFIG: glibc internal iconv enabled (NETSURF_USE_LIBICONV_PLUG := YES)
M.CONFIG: Javascript (Duktape) enabled (NETSURF_USE_DUKTAPE := YES)
PKG.CNFG: CSS (libcss) enabled
PKG.CNFG: DOM (libdom) enabled
PKG.CNFG: nsutils (libnsutils) enabled
M.CONFIG: Curl (libcurl) enabled (NETSURF_USE_CURL := YES)
M.CONFIG: OpenSSL (openssl) auto-enabled (NETSURF_USE_OPENSSL := AUTO)
M.CONFIG: utf8 (libutf8proc) enabled (NETSURF_USE_UTF8PROC := YES)
M.CONFIG: WEBP (libwebp) auto-disabled (NETSURF_USE_WEBP := AUTO)
M.CONFIG: PNG (libpng) auto-enabled (NETSURF_USE_PNG := AUTO)
M.CONFIG: BMP (libnsbmp) auto-enabled (NETSURF_USE_BMP := AUTO)
M.CONFIG: GIF (libnsgif) auto-enabled (NETSURF_USE_GIF := AUTO)
M.CONFIG: SVG (libsvgtiny) auto-enabled (NETSURF_USE_NSSVG := AUTO)
M.CONFIG: Sprite (librosprite) auto-enabled (NETSURF_USE_ROSPRITE := AUTO)
M.CONFIG: PSL (libnspsl) auto-enabled (NETSURF_USE_NSPSL := AUTO)
M.CONFIG: LOG (libnslog) auto-enabled (NETSURF_USE_NSLOG := AUTO)
M.CONFIG: SVG (librsvg-2.0) auto-enabled (NETSURF_USE_RSVG := AUTO)
M.CONFIG: Video (gstreamer-0.10) disabled (NETSURF_USE_VIDEO := NO)
PKG.CNFG: GTK-2 (gtk+-2.0) enabled
PKG.CNFG: GThread2 (gthread-2.0) enabled
PKG.CNFG: GModule2 (gmodule-2.0) enabled
PKG.CNFG: Check (check) enabled
   MKDIR: build/Linux-gtk2
   MKDIR: build/Linux-gtk2/deps
 COMPILE: build/Linux-gtk2/duktape/application_cache.c
 COMPILE: build/Linux-gtk2/duktape/attr.c
 COMPILE: build/Linux-gtk2/duktape/audio_track.c
 COMPILE: build/Linux-gtk2/duktape/audio_track_list.c
 COMPILE: build/Linux-gtk2/duktape/autocomplete_error_event.c
 COMPILE: build/Linux-gtk2/duktape/autocomplete_error_event_init.c
 COMPILE: build/Linux-gtk2/duktape/bar_prop.c
 COMPILE: build/Linux-gtk2/duktape/before_unload_event.c
 COMPILE: build/Linux-gtk2/duktape/binding.c
 COMPILE: build/Linux-gtk2/duktape/broadcast_channel.c
 COMPILE: build/Linux-gtk2/duktape/canvas_gradient.c
 COMPILE: build/Linux-gtk2/duktape/canvas_pattern.c
 COMPILE: build/Linux-gtk2/duktape/canvas_proxy.c
 COMPILE: build/Linux-gtk2/duktape/canvas_rendering_context2d.c
 COMPILE: build/Linux-gtk2/duktape/canvas_rendering_context2d_settings.c
 COMPILE: build/Linux-gtk2/duktape/character_data.c
 COMPILE: build/Linux-gtk2/duktape/close_event.c
 COMPILE: build/Linux-gtk2/duktape/close_event_init.c
 COMPILE: build/Linux-gtk2/duktape/comment.c
 COMPILE: build/Linux-gtk2/duktape/composition_event.c
 COMPILE: build/Linux-gtk2/duktape/composition_event_init.c
 COMPILE: build/Linux-gtk2/duktape/console.c
 COMPILE: build/Linux-gtk2/duktape/css.c
 COMPILE: build/Linux-gtk2/duktape/css_grouping_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_import_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_margin_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_media_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_namespace_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_page_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_rule_list.c
 COMPILE: build/Linux-gtk2/duktape/css_style_declaration.c
 COMPILE: build/Linux-gtk2/duktape/css_style_rule.c
 COMPILE: build/Linux-gtk2/duktape/css_style_sheet.c
 COMPILE: build/Linux-gtk2/duktape/custom_event.c
 COMPILE: build/Linux-gtk2/duktape/custom_event_init.c
 COMPILE: build/Linux-gtk2/duktape/data_transfer.c
 COMPILE: build/Linux-gtk2/duktape/data_transfer_item.c
 COMPILE: build/Linux-gtk2/duktape/data_transfer_item_list.c
 COMPILE: build/Linux-gtk2/duktape/dedicated_worker_global_scope.c
 COMPILE: build/Linux-gtk2/duktape/document.c
 COMPILE: build/Linux-gtk2/duktape/document_fragment.c
 COMPILE: build/Linux-gtk2/duktape/document_type.c
 COMPILE: build/Linux-gtk2/duktape/dom_element_map.c
 COMPILE: build/Linux-gtk2/duktape/dom_implementation.c
 COMPILE: build/Linux-gtk2/duktape/dom_parser.c
 COMPILE: build/Linux-gtk2/duktape/dom_settable_token_list.c
 COMPILE: build/Linux-gtk2/duktape/dom_string_map.c
 COMPILE: build/Linux-gtk2/duktape/dom_token_list.c
 COMPILE: build/Linux-gtk2/duktape/drag_event.c
 COMPILE: build/Linux-gtk2/duktape/drag_event_init.c
 COMPILE: build/Linux-gtk2/duktape/drawing_style.c
 COMPILE: build/Linux-gtk2/duktape/element.c
 COMPILE: build/Linux-gtk2/duktape/error_event.c
 COMPILE: build/Linux-gtk2/duktape/error_event_init.c
 COMPILE: build/Linux-gtk2/duktape/event.c
 COMPILE: build/Linux-gtk2/duktape/event_init.c
 COMPILE: build/Linux-gtk2/duktape/event_listener.c
 COMPILE: build/Linux-gtk2/duktape/event_modifier_init.c
 COMPILE: build/Linux-gtk2/duktape/event_source.c
 COMPILE: build/Linux-gtk2/duktape/event_source_init.c
 COMPILE: build/Linux-gtk2/duktape/event_target.c
 COMPILE: build/Linux-gtk2/duktape/external.c
 COMPILE: build/Linux-gtk2/duktape/focus_event.c
 COMPILE: build/Linux-gtk2/duktape/focus_event_init.c
 COMPILE: build/Linux-gtk2/duktape/hash_change_event.c
 COMPILE: build/Linux-gtk2/duktape/hash_change_event_init.c
 COMPILE: build/Linux-gtk2/duktape/history.c
 COMPILE: build/Linux-gtk2/duktape/hit_region_options.c
 COMPILE: build/Linux-gtk2/duktape/html_all_collection.c
 COMPILE: build/Linux-gtk2/duktape/html_anchor_element.c
 COMPILE: build/Linux-gtk2/duktape/html_applet_element.c
 COMPILE: build/Linux-gtk2/duktape/html_area_element.c
 COMPILE: build/Linux-gtk2/duktape/html_audio_element.c
 COMPILE: build/Linux-gtk2/duktape/html_base_element.c
 COMPILE: build/Linux-gtk2/duktape/html_body_element.c
 COMPILE: build/Linux-gtk2/duktape/html_br_element.c
 COMPILE: build/Linux-gtk2/duktape/html_button_element.c
 COMPILE: build/Linux-gtk2/duktape/html_canvas_element.c
 COMPILE: build/Linux-gtk2/duktape/html_collection.c
 COMPILE: build/Linux-gtk2/duktape/html_data_element.c
 COMPILE: build/Linux-gtk2/duktape/html_data_list_element.c
 COMPILE: build/Linux-gtk2/duktape/html_details_element.c
 COMPILE: build/Linux-gtk2/duktape/html_dialog_element.c
 COMPILE: build/Linux-gtk2/duktape/html_directory_element.c
 COMPILE: build/Linux-gtk2/duktape/html_div_element.c
 COMPILE: build/Linux-gtk2/duktape/html_dlist_element.c
 COMPILE: build/Linux-gtk2/duktape/html_element.c
 COMPILE: build/Linux-gtk2/duktape/html_embed_element.c
 COMPILE: build/Linux-gtk2/duktape/html_field_set_element.c
 COMPILE: build/Linux-gtk2/duktape/html_font_element.c
 COMPILE: build/Linux-gtk2/duktape/html_form_controls_collection.c
 COMPILE: build/Linux-gtk2/duktape/html_form_element.c
 COMPILE: build/Linux-gtk2/duktape/html_frame_element.c
 COMPILE: build/Linux-gtk2/duktape/html_frame_set_element.c
 COMPILE: build/Linux-gtk2/duktape/html_head_element.c
 COMPILE: build/Linux-gtk2/duktape/html_heading_element.c
 COMPILE: build/Linux-gtk2/duktape/html_hr_element.c
 COMPILE: build/Linux-gtk2/duktape/html_html_element.c
 COMPILE: build/Linux-gtk2/duktape/html_iframe_element.c
 COMPILE: build/Linux-gtk2/duktape/html_image_element.c
 COMPILE: build/Linux-gtk2/duktape/html_input_element.c
 COMPILE: build/Linux-gtk2/duktape/html_keygen_element.c
 COMPILE: build/Linux-gtk2/duktape/html_label_element.c
 COMPILE: build/Linux-gtk2/duktape/html_legend_element.c
 COMPILE: build/Linux-gtk2/duktape/html_li_element.c
 COMPILE: build/Linux-gtk2/duktape/html_link_element.c
 COMPILE: build/Linux-gtk2/duktape/html_map_element.c
 COMPILE: build/Linux-gtk2/duktape/html_marquee_element.c
 COMPILE: build/Linux-gtk2/duktape/html_media_element.c
 COMPILE: build/Linux-gtk2/duktape/html_menu_element.c
 COMPILE: build/Linux-gtk2/duktape/html_menu_item_element.c
 COMPILE: build/Linux-gtk2/duktape/html_meta_element.c
 COMPILE: build/Linux-gtk2/duktape/html_meter_element.c
 COMPILE: build/Linux-gtk2/duktape/html_mod_element.c
 COMPILE: build/Linux-gtk2/duktape/html_object_element.c
 COMPILE: build/Linux-gtk2/duktape/html_olist_element.c
 COMPILE: build/Linux-gtk2/duktape/html_opt_group_element.c
 COMPILE: build/Linux-gtk2/duktape/html_option_element.c
 COMPILE: build/Linux-gtk2/duktape/html_options_collection.c
 COMPILE: build/Linux-gtk2/duktape/html_output_element.c
 COMPILE: build/Linux-gtk2/duktape/html_paragraph_element.c
 COMPILE: build/Linux-gtk2/duktape/html_param_element.c
 COMPILE: build/Linux-gtk2/duktape/html_picture_element.c
 COMPILE: build/Linux-gtk2/duktape/html_pre_element.c
 COMPILE: build/Linux-gtk2/duktape/html_progress_element.c
 COMPILE: build/Linux-gtk2/duktape/html_quote_element.c
 COMPILE: build/Linux-gtk2/duktape/html_script_element.c
 COMPILE: build/Linux-gtk2/duktape/html_select_element.c
 COMPILE: build/Linux-gtk2/duktape/html_source_element.c
 COMPILE: build/Linux-gtk2/duktape/html_span_element.c
 COMPILE: build/Linux-gtk2/duktape/html_style_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_caption_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_cell_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_col_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_data_cell_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_header_cell_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_row_element.c
 COMPILE: build/Linux-gtk2/duktape/html_table_section_element.c
 COMPILE: build/Linux-gtk2/duktape/html_template_element.c
 COMPILE: build/Linux-gtk2/duktape/html_text_area_element.c
 COMPILE: build/Linux-gtk2/duktape/html_time_element.c
 COMPILE: build/Linux-gtk2/duktape/html_title_element.c
 COMPILE: build/Linux-gtk2/duktape/html_track_element.c
 COMPILE: build/Linux-gtk2/duktape/html_ulist_element.c
 COMPILE: build/Linux-gtk2/duktape/html_unknown_element.c
 COMPILE: build/Linux-gtk2/duktape/html_video_element.c
 COMPILE: build/Linux-gtk2/duktape/image_bitmap.c
 COMPILE: build/Linux-gtk2/duktape/image_data.c
 COMPILE: build/Linux-gtk2/duktape/keyboard_event.c
 COMPILE: build/Linux-gtk2/duktape/keyboard_event_init.c
 COMPILE: build/Linux-gtk2/duktape/location.c
 COMPILE: build/Linux-gtk2/duktape/media_controller.c
 COMPILE: build/Linux-gtk2/duktape/media_error.c
 COMPILE: build/Linux-gtk2/duktape/media_list.c
 COMPILE: build/Linux-gtk2/duktape/message_channel.c
 COMPILE: build/Linux-gtk2/duktape/message_event.c
 COMPILE: build/Linux-gtk2/duktape/message_event_init.c
 COMPILE: build/Linux-gtk2/duktape/message_port.c
 COMPILE: build/Linux-gtk2/duktape/mime_type.c
 COMPILE: build/Linux-gtk2/duktape/mime_type_array.c
 COMPILE: build/Linux-gtk2/duktape/mouse_event.c
 COMPILE: build/Linux-gtk2/duktape/mouse_event_init.c
 COMPILE: build/Linux-gtk2/duktape/mutation_event.c
 COMPILE: build/Linux-gtk2/duktape/mutation_observer.c
 COMPILE: build/Linux-gtk2/duktape/mutation_observer_init.c
 COMPILE: build/Linux-gtk2/duktape/mutation_record.c
 COMPILE: build/Linux-gtk2/duktape/named_node_map.c
 COMPILE: build/Linux-gtk2/duktape/navigator.c
 COMPILE: build/Linux-gtk2/duktape/node.c
 COMPILE: build/Linux-gtk2/duktape/node_filter.c
 COMPILE: build/Linux-gtk2/duktape/node_iterator.c
 COMPILE: build/Linux-gtk2/duktape/node_list.c
 COMPILE: build/Linux-gtk2/duktape/page_transition_event.c
 COMPILE: build/Linux-gtk2/duktape/page_transition_event_init.c
 COMPILE: build/Linux-gtk2/duktape/path2d.c
 COMPILE: build/Linux-gtk2/duktape/plugin.c
 COMPILE: build/Linux-gtk2/duktape/plugin_array.c
 COMPILE: build/Linux-gtk2/duktape/pop_state_event.c
 COMPILE: build/Linux-gtk2/duktape/pop_state_event_init.c
 COMPILE: build/Linux-gtk2/duktape/processing_instruction.c
 COMPILE: build/Linux-gtk2/duktape/pseudo_element.c
 COMPILE: build/Linux-gtk2/duktape/radio_node_list.c
 COMPILE: build/Linux-gtk2/duktape/range.c
 COMPILE: build/Linux-gtk2/duktape/related_event.c
 COMPILE: build/Linux-gtk2/duktape/related_event_init.c
 COMPILE: build/Linux-gtk2/duktape/shared_worker.c
 COMPILE: build/Linux-gtk2/duktape/shared_worker_global_scope.c
 COMPILE: build/Linux-gtk2/duktape/storage.c
 COMPILE: build/Linux-gtk2/duktape/storage_event.c
 COMPILE: build/Linux-gtk2/duktape/storage_event_init.c
 COMPILE: build/Linux-gtk2/duktape/style_sheet.c
 COMPILE: build/Linux-gtk2/duktape/style_sheet_list.c
 COMPILE: build/Linux-gtk2/duktape/svg_element.c
 COMPILE: build/Linux-gtk2/duktape/text.c
 COMPILE: build/Linux-gtk2/duktape/text_metrics.c
 COMPILE: build/Linux-gtk2/duktape/text_track.c
 COMPILE: build/Linux-gtk2/duktape/text_track_cue.c
 COMPILE: build/Linux-gtk2/duktape/text_track_cue_list.c
 COMPILE: build/Linux-gtk2/duktape/text_track_list.c
 COMPILE: build/Linux-gtk2/duktape/time_ranges.c
 COMPILE: build/Linux-gtk2/duktape/touch.c
 COMPILE: build/Linux-gtk2/duktape/track_event.c
 COMPILE: build/Linux-gtk2/duktape/track_event_init.c
 COMPILE: build/Linux-gtk2/duktape/tree_walker.c
 COMPILE: build/Linux-gtk2/duktape/ui_event.c
 COMPILE: build/Linux-gtk2/duktape/ui_event_init.c
 COMPILE: build/Linux-gtk2/duktape/url.c
 COMPILE: build/Linux-gtk2/duktape/url_search_params.c
 COMPILE: build/Linux-gtk2/duktape/validity_state.c
 COMPILE: build/Linux-gtk2/duktape/video_track.c
 COMPILE: build/Linux-gtk2/duktape/video_track_list.c
 COMPILE: build/Linux-gtk2/duktape/web_socket.c
 COMPILE: build/Linux-gtk2/duktape/wheel_event.c
 COMPILE: build/Linux-gtk2/duktape/wheel_event_init.c
 COMPILE: build/Linux-gtk2/duktape/window.c
 COMPILE: build/Linux-gtk2/duktape/worker.c
 COMPILE: build/Linux-gtk2/duktape/worker_global_scope.c
 COMPILE: build/Linux-gtk2/duktape/worker_location.c
 COMPILE: build/Linux-gtk2/duktape/worker_navigator.c
 COMPILE: build/Linux-gtk2/duktape/xml_document.c
 COMPILE: build/Linux-gtk2/duktape/xml_serializer.c
GRESORCE: frontends/gtk/res/messages.gresource.xml
 COMPILE: build/Linux-gtk2/messages_gresource.c
GRESORCE: frontends/gtk/res/netsurf.gresource.xml
 COMPILE: build/Linux-gtk2/netsurf_gresource.c
 COMPILE: content/content.c
 COMPILE: content/content_factory.c
 COMPILE: content/dirlist.c
 COMPILE: content/fetch.c
TESTMENT: build/Linux-gtk2/testament.h
 COMPILE: content/fetchers/about.c
 COMPILE: content/fetchers/curl.c
 COMPILE: content/fetchers/data.c
 COMPILE: content/fetchers/file.c
 COMPILE: content/fetchers/resource.c
 COMPILE: content/fs_backing_store.c
 COMPILE: content/handlers/css/css.c
 COMPILE: content/handlers/css/dump.c
 COMPILE: content/handlers/css/hints.c
 COMPILE: content/handlers/css/internal.c
 COMPILE: content/handlers/css/select.c
 COMPILE: content/handlers/css/utils.c
 COMPILE: content/handlers/html/box_construct.c
 COMPILE: content/handlers/html/box_inspect.c
 COMPILE: content/handlers/html/box_manipulate.c
 COMPILE: content/handlers/html/box_normalise.c
 COMPILE: content/handlers/html/box_special.c
 COMPILE: content/handlers/html/box_textarea.c
 COMPILE: content/handlers/html/css.c
 COMPILE: content/handlers/html/css_fetcher.c
 COMPILE: content/handlers/html/dom_event.c
 COMPILE: content/handlers/html/font.c
 COMPILE: content/handlers/html/form.c
 COMPILE: content/handlers/html/forms.c
 COMPILE: content/handlers/html/html.c
 COMPILE: content/handlers/html/imagemap.c
 COMPILE: content/handlers/html/interaction.c
 COMPILE: content/handlers/html/layout.c
 COMPILE: content/handlers/html/object.c
 COMPILE: content/handlers/html/redraw.c
 COMPILE: content/handlers/html/redraw_border.c
 COMPILE: content/handlers/html/script.c
 COMPILE: content/handlers/html/table.c
 COMPILE: content/handlers/image/bmp.c
 COMPILE: content/handlers/image/gif.c
 COMPILE: content/handlers/image/ico.c
 COMPILE: content/handlers/image/image.c
 COMPILE: content/handlers/image/image_cache.c
 COMPILE: content/handlers/image/jpeg.c
 COMPILE: content/handlers/image/nssprite.c
 COMPILE: content/handlers/image/png.c
 COMPILE: content/handlers/image/rsvg.c
 COMPILE: content/handlers/image/svg.c
 COMPILE: content/handlers/javascript/content.c
     XXD: content/handlers/javascript/duktape/generics.js
     XXD: content/handlers/javascript/duktape/polyfill.js
 COMPILE: content/handlers/javascript/duktape/dukky.c
 COMPILE: content/handlers/javascript/duktape/duktape.c
 COMPILE: content/handlers/javascript/fetcher.c
 COMPILE: content/handlers/text/textplain.c
 COMPILE: content/hlcache.c
 COMPILE: content/llcache.c
 COMPILE: content/mimesniff.c
 COMPILE: content/no_backing_store.c
 COMPILE: content/textsearch.c
 COMPILE: content/urldb.c
 COMPILE: desktop/browser.c
 COMPILE: desktop/browser_history.c
 COMPILE: desktop/browser_window.c
 COMPILE: desktop/cookie_manager.c
 COMPILE: desktop/cw_helper.c
 COMPILE: desktop/download.c
 COMPILE: desktop/font_haru.c
 COMPILE: desktop/frames.c
 COMPILE: desktop/global_history.c
 COMPILE: desktop/gui_factory.c
 COMPILE: desktop/hotlist.c
 COMPILE: desktop/knockout.c
 COMPILE: desktop/local_history.c
 COMPILE: desktop/mouse.c
 COMPILE: desktop/netsurf.c
 COMPILE: desktop/page-info.c
 COMPILE: desktop/plot_style.c
 COMPILE: desktop/print.c
 COMPILE: desktop/save_complete.c
 COMPILE: desktop/save_pdf.c
 COMPILE: desktop/save_text.c
 COMPILE: desktop/scrollbar.c
 COMPILE: desktop/search.c
 COMPILE: desktop/searchweb.c
 COMPILE: desktop/selection.c
 COMPILE: desktop/sslcert_viewer.c
 COMPILE: desktop/system_colour.c
 COMPILE: desktop/textarea.c
 COMPILE: desktop/textinput.c
 COMPILE: desktop/treeview.c
 COMPILE: desktop/version.c
 COMPILE: frontends/gtk/about.c
 COMPILE: frontends/gtk/accelerator.c
 COMPILE: frontends/gtk/bitmap.c
 COMPILE: frontends/gtk/compat.c
 COMPILE: frontends/gtk/completion.c
 COMPILE: frontends/gtk/cookies.c
 COMPILE: frontends/gtk/corewindow.c
 COMPILE: frontends/gtk/download.c
 COMPILE: frontends/gtk/fetch.c
 COMPILE: frontends/gtk/gdk.c
 COMPILE: frontends/gtk/gettext.c
 COMPILE: frontends/gtk/global_history.c
 COMPILE: frontends/gtk/gui.c
 COMPILE: frontends/gtk/hotlist.c
 COMPILE: frontends/gtk/layout_pango.c
 COMPILE: frontends/gtk/local_history.c
 COMPILE: frontends/gtk/menu.c
 COMPILE: frontends/gtk/page_info.c
 COMPILE: frontends/gtk/plotters.c
 COMPILE: frontends/gtk/preferences.c
 COMPILE: frontends/gtk/print.c
 COMPILE: frontends/gtk/resources.c
 COMPILE: frontends/gtk/scaffolding.c
 COMPILE: frontends/gtk/schedule.c
 COMPILE: frontends/gtk/search.c
 COMPILE: frontends/gtk/selection.c
 COMPILE: frontends/gtk/tabs.c
 COMPILE: frontends/gtk/throbber.c
 COMPILE: frontends/gtk/toolbar.c
 COMPILE: frontends/gtk/viewdata.c
 COMPILE: frontends/gtk/viewsource.c
 COMPILE: frontends/gtk/window.c
 COMPILE: utils/bloom.c
 COMPILE: utils/corestrings.c
 COMPILE: utils/file.c
 COMPILE: utils/filename.c
 COMPILE: utils/filepath.c
 COMPILE: utils/hashmap.c
 COMPILE: utils/hashtable.c
 COMPILE: utils/http/cache-control.c
 COMPILE: utils/http/challenge.c
 COMPILE: utils/http/content-disposition.c
 COMPILE: utils/http/content-type.c
 COMPILE: utils/http/generics.c
 COMPILE: utils/http/parameter.c
 COMPILE: utils/http/primitives.c
 COMPILE: utils/http/strict-transport-security.c
 COMPILE: utils/http/www-authenticate.c
 COMPILE: utils/idna.c
 COMPILE: utils/libdom.c
 COMPILE: utils/log.c
 COMPILE: utils/messages.c
 COMPILE: utils/nscolour.c
 COMPILE: utils/nsoption.c
 COMPILE: utils/nsurl/nsurl.c
 COMPILE: utils/nsurl/parse.c
 COMPILE: utils/punycode.c
 COMPILE: utils/ssl_certs.c
 COMPILE: utils/talloc.c
 COMPILE: utils/time.c
 COMPILE: utils/url.c
 COMPILE: utils/useragent.c
 COMPILE: utils/utf8.c
 COMPILE: utils/utils.c
    LINK: nsgtk2
$
+Notes

-Issue History
Date Modified Username Field Change
2020-03-26 10:40 biopsin New Issue
2020-03-26 10:40 biopsin File Added: netsurf__do_build.log
2020-05-12 10:00 Vincent Sanders Status new => closed
2020-05-12 10:00 Vincent Sanders Resolution open => fixed
2020-05-12 10:00 Vincent Sanders Note Added: 0002189
+Issue History